using data.RemoteData.RemoteDataBase.DAO;
using domain.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace data.Repository
{
    public interface IUserRepository
    {
        IEnumerable<UserLocalEnity> GetAllUsers { get; }
        bool RemoveUserByGuid(Guid userGuid);
        UserLocalEnity? UpdateUser(UserLocalEnity user);
        List<UserDao> GetUserNames();


    }
}
